Name:		kakasi
Version:	2.3.4
Release:	36%{?dist}
URL:		http://kakasi.namazu.org/
License:	GPLv2+
BuildRequires:	autoconf automake libtool

## re-compressed with bzip2 instead of gzip
#Source:	ftp://kakasi.namazu.org/pub/kakasi/%{name}-%{version}.tar.gz
Source:		%{name}-%{version}.tar.bz2
Patch1:		kakasi-2.3.4-fixdict.patch
Patch2:		kakasi-2.3.4-arraysize.patch
Patch3:		kakasi-2.3.4-fix-bad-source.patch
Patch4:		kakasi-multilib.patch


Summary:	A Japanese character set conversion filter
Group:		Applications/Text

%description
KAKASI is a filter for converting Kanji characters to Hiragana or
Katakana characters, or into Romaji (phonetic transcription of
Japanese pronunciation).

%package libs
Summary:	Libraries for KAKASI
Group:		Development/Libraries

%description libs
The kakasi-libs package contains the library file for KAKASI

%package devel
Summary:	Files for development of applications which will use KAKASI
Group:		Development/Libraries
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description devel
The kakasi-devel package contains the header file and library for
developing applications which will use the KAKASI Japanese character
set filter.


%package dict
Summary:	The base dictionary for KAKASI
Group:		Applications/Text
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description dict
The kakasi-dict package contains the base dictionary for the KAKASI
Japanese character set filter.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
cp -p /usr/lib/rpm/config.{guess,sub} .
autoreconf -f -i

%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# correct timestamp
touch -r kakasi-config.in $RPM_BUILD_ROOT%{_bindir}/kakasi-config

# remove the unnecesary files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man1
iconv -f euc-jp -t utf-8 doc/kakasi.1 > doc/kakasi.1.utf8
install -m 644 doc/kakasi.1.utf8 $RPM_BUILD_ROOT%{_mandir}/ja/man1/kakasi.1
touch -r doc/kakasi.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/kakasi.1


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%lang(ja) %doc README-ja
%dir %{_datadir}/kakasi
%{_bindir}/*
%{_mandir}/ja/man1/kakasi.1.gz
%{_datadir}/kakasi/itaijidict

%files libs
%doc COPYING
%{_libdir}/libkakasi.so.*

%files devel
%doc COPYING
%{_libdir}/libkakasi.so
%{_includedir}/libkakasi.h

%files dict
%doc COPYING
%{_datadir}/kakasi/kanwadict


%changelog
* Tue Sep  3 2013 Akira TAGOH <tagoh@redhat.com> - 2.3.4-36
- Drop the older Obsoletes line. (#1002128)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-35
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 27 2013 Akira TAGOH <tagoh@redhat.com> - 2.3.4-34
- Rebuild for aarch64 support (#925619)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Akira TAGOH <tagoh@redhat.com> - 2.3.4-28
- Fix a build fail on ppc64.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 12 2008 Akira TAGOH <tagoh@redhat.com> - 2.3.4-26
- Rebuild for gcc-4.3.

* Tue Nov 20 2007 Akira TAGOH <tagoh@redhat.com> - 2.3.4-25
- Clean up spec file.
- Get rid of -L%libdir% from kakasi-config because it's a standard library
  directory. (#341691)
- Separate the shread library to kakasi-libs package.

* Thu Aug 23 2007 Akira TAGOH <tagoh@redhat.com> - 2.3.4-24
- Rebuild

* Wed Aug  8 2007 Akira TAGOH <tagoh@redhat.com> - 2.3.4-23
- Update License tag.
- Build with --disable-static
- Not ship *.la files.

* Mon Sep 11 2006 Akira TAGOH <tagoh@redhat.com> - 2.3.4-22
- rebuilt
- clean up.

* Thu Mar  2 2006 Akira TAGOH <tagoh@redhat.com> - 2.3.4-21
- rebuilt.

* Mon May 30 2005 Akira TAGOH <tagoh@redhat.com> - 2.3.4-20
- import to Fedora Extras.

* Thu Mar 17 2005 Akira TAGOH <tagoh@redhat.com> - 2.3.4-19
- rebuilt

* Thu Feb 10 2005 Akira TAGOH <tagoh@redhat.com> - 2.3.4-18
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 03 2004 Akira TAGOH <tagoh@redhat.com> 2.3.4-15
- kakasi-2.3.4-fix-bad-source.patch: applied to fix gcc warning. (#114744)

* Tue Dec 02 2003 Akira TAGOH <tagoh@redhat.com> 2.3.4-14
- doh. refixed wrong array size. (#110788)

* Tue Sep 30 2003 Akira TAGOH <tagoh@redhat.com> 2.3.4-13
- converted Japanese manpage to UTF-8.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 25 2003 Akira TAGOH <tagoh@redhat.com> 2.3.4-11
- kakasi-2.3.4-arraysize.patch: fix wrong array size. (#80675)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 2.3.4-8
- add the owned directory.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr 16 2002 Akira TAGOH <tagoh@redhat.com> 2.3.4-5
- kakasi-2.3.4-fixdict.patch: applied to fix an incorrect entry
  in dictionary.

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 2.3.4-3
- Build against new environment.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov  1 2001 Akira TAGOH <tagoh@redhat.com> 2.3.4-1
- New upstream release.
- Replaced the appropriate rpmmacros.
- Added requires: kakasi to kakasi-dict

* Thu Aug  9 2001 Tim Powers <timp@redhat.com>
- redhatify specfile
- no more man pages in /usr/man

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.
 
* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy
 
* Sun Aug 06 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for 7.0J beta
 
* Sat Mar 04 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- fix summary.
 
* Wed Dec 08 1999 Motonobu Ichimura <famao@kondara.org>
- change Group ( Utilities/Text -> Applications/Text ) for Kondara
 
* Fri Oct 28 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- added japanese manpage in packages.
- build dict packages.
 
* Sat Oct 16 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- fixed including libkakasi.so* in non-devel packages.
